Users
Activate or deactivate a user. Admin only.
PATCH
/
api
/
manager
/
users
/
{user_id}
/
status
Activate or deactivate a user. Admin only.
curl --request PATCH \
--url https://your_a2_service/api/manager/users/{user_id}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_active": true
}
'import requests
url = "https://your_a2_service/api/manager/users/{user_id}/status"
payload = { "is_active": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_active: true})
};
fetch('https://your_a2_service/api/manager/users/{user_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"role": "advertiser",
"updated_at": "2023-11-07T05:31:56Z",
"budget": 0,
"credit": 0,
"deleted_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"no": 123,
"permissions": {},
"preferences": "<unknown>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication. Pass the access token in the Authorization: Bearer <token> header.
Path Parameters
Body
application/json
PATCH /admin/users/{id}/status — admin-only activation toggle.
Whether the user is active.
Response
Successful Response
Response schema for User read operations.
The user's email address
The user's ID
Whether the user is active
The role of the user.
Available options:
advertiser, operator, admin The user's budget
The user's credit
Soft deletion timestamp for the user
The user's name
The permissions of the user.
Show child attributes
Show child attributes
The user's preferences
Was this page helpful?
⌘I
Activate or deactivate a user. Admin only.
